### Method

# Gimp ColorProfile save_to_file

since: 2.10

#### Declaration [src]

    gboolean
    gimp_color_profile_save_to_file (
      GimpColorProfile* profile,
      GFile* file,
      GError** error
    )

#### Description [src]

This function saves `profile` to `file` as ICC profile.

Available since: 2.10

#### Parameters

`file`

  Type: `GFile`

  A `GFile`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` if an error occurred.